<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AddLineReq StructType
 * @subpackage Structs
 */
class AddLineReq extends APIRequest
{
    /**
     * The line
     * @var XLine
     */
    public $line;
    /**
     * Constructor method for AddLineReq
     * @uses AddLineReq::setLine()
     * @param XLine $line
     */
    public function __construct(XLine $line = null)
    {
        $this
            ->setLine($line);
    }
    /**
     * Get line value
     * @return XLine|null
     */
    public function getLine()
    {
        return $this->line;
    }
    /**
     * Set line value
     * @param XLine $line
     * @return AddLineReq
     */
    public function setLine(XLine $line = null)
    {
        $this->line = $line;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return AddLineReq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
